> For the complete documentation index, see [llms.txt](https://developer.topazlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.topazlabs.com/video-models/starlight/starlight-precise-2-deprecated.md).

# Starlight Precise 2 (Deprecated)

### Model Overview

**Starlight Precise 2** is a second generation diffusion video model designed to deliver more natural faces and skin tones for native GenAI video sources. It prioritizes realism and quality while preserving artistic intent.

Precise 2 intelligently refines facial detail, skin texture, and structure. Using a single frame diffusion architecture, it reduces ghosting and instability in fast moving, inconsistent, or heavily compressed footage, resulting in improved clarity and temporal consistency.

### Key Capabilities

* Restores natural facial detail and skin tones while minimizing synthetic or “plastic” artifacts
* Best choice for enhancing GenAI video while preserving creative intent and visual structure
* Delivers improved stability and detail recovery for difficult or inconsistent footage

### Pricing

| Frames Per Credit — 1080p | Frames Per Credit — 4k |
| ------------------------- | ---------------------- |
| \~26                      | \~12                   |

{% hint style="info" %}
For more accurate estimates we recommend checking out our [Credit Calculator](https://developer.topazlabs.com/credit/calculator).
{% endhint %}

### Getting Started

**Endpoint**

* [https://api.topazlabs.com/video/](<https://api.topazlabs.com/video/&#xA;>)
  * `model` — `"slp-2"`

**Model-Specific Parameters**

* `input_frame_count` — integer, optional; maximum 450
* `creativity` — `"low"`, `"middle"`, or `"high"`, optional
* `is_optimized_mode` — boolean, default true
* `enable_clc` — boolean, default true
* `video_profile` — string, optional
* `video_bit_depth` — integer, optional
* `video_codec` — string, optional

### Examples

<table data-card-size="large" data-view="cards"><thead><tr><th align="center"></th><th data-hidden data-card-cover data-type="image">Cover image</th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td align="center">Click to view</td><td><a href="/files/pALMATVgVCZoRQzjCNUs">/files/pALMATVgVCZoRQzjCNUs</a></td><td><a href="https://compare.topazlabs.com/share/video?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FSchool_Kling_Before.mp4&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FSchool_Kling_Precise_Starlight_Precise_2.mp4&#x26;src2label=After&#x26;zoom=1">https://compare.topazlabs.com/share/video?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FSchool_Kling_Before.mp4&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FSchool_Kling_Precise_Starlight_Precise_2.mp4&#x26;src2label=After&#x26;zoom=1</a></td></tr><tr><td align="center">Click to view</td><td><a href="/files/aBXrkarP9NCESPBgaDQG">/files/aBXrkarP9NCESPBgaDQG</a></td><td><a href="https://compare.topazlabs.com/share/video?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FShip%20Source%201.mp4&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FShip%201%204k%20SLP%202.mp4&#x26;src2label=After&#x26;zoom=1">https://compare.topazlabs.com/share/video?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FShip%20Source%201.mp4&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FShip%201%204k%20SLP%202.mp4&#x26;src2label=After&#x26;zoom=1</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.topazlabs.com/video-models/starlight/starlight-precise-2-deprecated.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
